<!-- pinpai  品牌券明细-->
<template>
  <div>
    <div class="mb20">
      <el-input clearable class="w250 mr20" clearable v-model="search_data.search" placeholder="流水号/账号/会员"></el-input>
      <el-select clearable class="mr20 w200" clearable v-model="search_data.type" placeholder="请选择类型">
        <el-option label="请选择类型" value></el-option>
        <el-option v-for="item in  GetBaseData('finance','credit3')" :key="item.id" :label="item.name" :value="item.id"></el-option>
      </el-select>

      <el-date-picker value-format="yyyy-MM-dd" v-model="search_data.start_end" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
      </el-date-picker>

      <el-button class="ml10" icon="el-icon-search" size="small" type="primary" @click="m_search">搜索</el-button>
    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" border :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <!-- <el-table-column align="center" type="selection" width="55"></el-table-column> -->
      <el-table-column align="center" width="200" prop="record_no" label="流水号"></el-table-column>
       <el-table-column width="160px" align="center" prop="name" label="账号"> </el-table-column>
   
      <el-table-column align="center" prop="realname" label="会员"></el-table-column>
      <el-table-column align="center" prop="type" label="类型">
        <template slot-scope="scope">{{scope.row.type | BaseData('finance','credit3')}} </template>
        
      </el-table-column>



      <el-table-column width="160px" align="center" prop="amount" label="变动量"> </el-table-column>
      <el-table-column width="160px" align="center" prop="balance" label="变动后"> </el-table-column>
      <el-table-column align="center" prop="remark" label="备注"></el-table-column>
      <el-table-column align="center" prop="created_at" label="时间"></el-table-column>

    </el-table>

    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>
  </div>
</template>

<script>
import * as api from '@/api'
export default {
  name: 'pinpai',
  data() {
    return {
      search_data: {
        search: '',
        type: '',
        start_end: []


      },
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getDatalist()
    },

    //获取数据信息
    getDatalist() {
      this.m_tableLoading = true
      let data = Object.assign(this.search_data, this.m_page);

      api.finance_credit3(data).then(res => {
        //console.log(res)
        this.m_list = res.data.data
        this.m_page.total = res.data.total

      }).finally(() => {
        this.m_tableLoading = false
      })
    },

  },
}

</script>
<style lang='scss' scoped>
</style>